## jpeg-xl 0.10.3

=== debian/changelog ===
jpeg-xl (0.10.3-4ubuntu1) oracular; urgency=medium

  * Force gcc-13 on s390x, testsuite hangs with gcc-14

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2024 18:02:35 +0200

jpeg-xl (0.10.3-4) experimental; urgency=medium

  * d/tests: Remove a portion of the unit test. Closes: #1076699

 -- Mathieu Malaterre <malat@debian.org>  Tue, 23 Jul 2024 11:27:05 +0200

jpeg-xl (0.10.3-3) experimental; urgency=medium

  * d/patches: Make sure to find package HWY

 -- Mathieu Malaterre <malat@debian.org>  Sun, 21 Jul 2024 12:47:40 +0200

jpeg-xl (0.10.3-2) experimental; urgency=medium

  * d/rules Remove legacy comment
  * d/patches: Update big endian patch
  * d/patches: Add libjpegli-tools

 -- Mathieu Malaterre <malat@debian.org>  Sat, 20 Jul 2024 17:09:30 +0200

jpeg-xl (0.10.3-1) experimental; urgency=medium

  * New upstream version 0.10.3
  * d/patches: Refresh patches for new release
  * d/symbols: Migrate to new ABI
  * d/patches: Prepare patch for upstream

 -- Mathieu Malaterre <malat@debian.org>  Sat, 06 Jul 2024 11:07:28 +0200

jpeg-xl (0.9.2-10) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Disable OpenEXR support on Ubuntu
  * Enable all hardening flags
  * Bump debhelper compat to 13
  * Set Build-Depends-Package
  * Strip trailing whitespace

  [ Mathieu Malaterre ]
  * d/rules: Add missing dev tools

  [ Jeremy Bícha ]
  * d/t/control: Re-add big-endian arches. Closes: #1074530

  [ Mathieu Malaterre ]
  * d/control: Provide a nojava profile. Closes: #1067757

 -- Mathieu Malaterre <malat@debian.org>  Fri, 05 Jul 2024 13:00:33 +0200
