=== debian/changelog ===
jpeg-xl (0.10.4-2) unstable; urgency=medium

  * Team upload
  * Extend dh_auto_test timeout to avoid build failures on riscv64
    (Closes: #1077336)
  * Release to unstable (Closes: #1088818)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Dec 2024 11:28:50 -0500

jpeg-xl (0.10.4-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release (Closes: #1077336)
    - CVE-2024-11403 Huffman lookup table size fix
    - CVE-2024-11498 Check height limit in modular trees

  [ Gianfranco Costamagna ]
  * Force gcc-13 on s390x because testsuite hangs with gcc-14

  [ Jeremy Bícha ]
  * Use gcc-13 on riscv64 too

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Dec 2024 18:46:59 -0500

jpeg-xl (0.10.3-5) experimental; urgency=medium

  * d/patches: Remove libjpegli-tools

 -- Mathieu Malaterre <malat@debian.org>  Fri, 27 Sep 2024 16:13:29 +0200
