=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: graphics
 Priority: optional
 Standards-Version: 4.7.0
-Build-Depends: asciidoc-base, gcc-13 [s390x], g++-13 [s390x],
+Build-Depends: asciidoc-base, gcc-13 [riscv64 s390x], g++-13 [riscv64 s390x],
                cmake (>= 3.10),
                debhelper-compat (= 13),
                default-jdk [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha ia64 m68k powerpc ppc64 sh4 sparc64 x32] <!nojava>,
@@ -131,16 +131,3 @@
  several features that help transition from the legacy JPEG format.
  .
  This package installs the Java Bindings.
-
-Package: libjpegli-tools
-Architecture: any
-Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: JPEG XL Image Coding System - "JXL" (jpegli command line utility)
- The JPEG XL Image Coding System (ISO/IEC 18181) is a lossy and
- lossless image compression format. It has a rich feature set and is
- particularly optimized for responsive web environments, so that
- content renders well on a wide range of devices. Moreover, it includes
- several features that help transition from the legacy JPEG format.
- .
- This package installs the JPEGLI tools command line utilities
