=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/default.mk
 
-GCC_13_ARCHS=s390x
+GCC_13_ARCHS=riscv64 s390x
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(GCC_13_ARCHS)))
   export CC=gcc-13
   export CXX=g++-13
@@ -85,7 +85,6 @@
 	-DJPEGXL_FORCE_SYSTEM_BROTLI:BOOL=ON \
 	-DJPEGXL_FORCE_SYSTEM_GTEST:BOOL=ON \
 	-DJPEGXL_FORCE_SYSTEM_HWY:BOOL=ON \
-	-DJPEGXL_FORCE_SYSTEM_JPEG_TURBO=ON \
 	-DJPEGXL_FORCE_SYSTEM_LCMS2:BOOL=ON \
 	-DJPEGXL_INSTALL_JARDIR:PATH=share/java \
 	-DJPEGXL_INSTALL_JNIDIR:PATH=lib/$(DEB_HOST_MULTIARCH)/jni \
@@ -106,9 +105,9 @@
 
 override_dh_auto_test-arch:
 	# armel requires 7h to run complete testsuite:
-	timeout 7h dh_auto_test --
+	timeout 10h dh_auto_test --
 
-override_dh_installman-arch: tools_manpages devtools_manpages jpegli_tools_manpages
+override_dh_installman-arch: tools_manpages devtools_manpages
 	dh_installman
 
 override_dh_clean-arch:
@@ -127,13 +126,10 @@
 debian/%.1: debian/%.1.in
 	LD_PRELOAD= LD_LIBRARY_PATH=./debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) help2man --no-discard-stderr --include=$< --output=$@ --help-option=--help --version-string=$(VER_FULL) --no-info ./debian/tmp/usr/bin/`basename $@ .1`
 
-.PHONY: tools_manpages devtools_manpages jpegli_tools_manpages get-orig-source
+.PHONY: tools_manpages devtools_manpages get-orig-source
 
 tools_manpages: debian/jxlinfo.1
 	echo "all tools manpages generated"
-
-jpegli_tools_manpages: debian/cjpegli.1 debian/djpegli.1 debian/jpegli_dec_fuzzer_corpus.1
-	echo "all jpegli tools manpages generated"
 
 devtools_manpages: debian/butteraugli_main.1 debian/decode_and_encode.1 debian/display_to_hlg.1 debian/djxl_fuzzer_corpus.1 debian/generate_lut_template.1 debian/jxl_from_tree.1 debian/pq_to_hlg.1 debian/render_hlg.1 debian/ssimulacra_main.1 debian/texture_to_cube.1 debian/tone_map.1 debian/xyb_range.1 debian/benchmark_xl.1 debian/ssimulacra2.1 debian/local_tone_map.1 debian/exr_to_pq.1
 	echo $(DEVTOOLS)
