=== debian/changelog ===
jpeg-xl (0.11.1-6ubuntu1) questing; urgency=medium

  * Use gcc-14 to avoid miscompilation on ppc64el (LP: #2121375)

 -- Hector Cao <hector.cao@canonical.com>  Mon, 06 Oct 2025 11:45:10 +0200

jpeg-xl (0.11.1-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Depend on a native JDK (Closes: #1110508)
  * Fix the nojava build profile

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 18:05:50 -0400

jpeg-xl (0.11.1-5) unstable; urgency=medium

  * Cherry-pick patch to fix big-endian build
  * Remove obsolete bigendian patch
  * Stop using gcc-13 for big endian architectures (Closes: #1092659, #1110520)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 15:24:02 -0400

jpeg-xl (0.11.1-4) unstable; urgency=medium

  * Team upload

  [ Sean McGovern ]
  * d/{control,rules}: use gcc-13 on powerpc and ppc64

  [ Jeremy Bícha ]
  * Use gcc-13 for hppa & sparc64 also (Closes: #1100753)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Mar 2025 13:49:07 -0400

jpeg-xl (0.11.1-3) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Mar 2025 08:17:40 -0400

jpeg-xl (0.11.1-2) experimental; urgency=medium

  * Team upload
  * Remove arbitrary timeout from dh_auto_test (Closes: #1091692)
  * Stop forcing LTO on Debian. Mitigates: #1099885
  * debian/libjxl0.11.symbols: Add symbols only seen when building without LTO

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 18:07:36 -0400

jpeg-xl (0.11.1-1) experimental; urgency=medium

  * New upstream version 0.11.1
  * d/patches: Refresh patches for new release
  * d/rules: Handle gcc-13 arches
  * d/rules: Add new icc_simplify tool
  * d/control: Migrate to SOVERSION 0.11

 -- Mathieu Malaterre <malat@debian.org>  Thu, 06 Feb 2025 18:43:10 +0100
