=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: jpeg-xl
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Section: graphics
 Priority: optional
 Standards-Version: 4.7.0
-Build-Depends: asciidoc-base, gcc-13 [riscv64 s390x], g++-13 [riscv64 s390x],
+Build-Depends: asciidoc-base,
                cmake (>= 3.10),
                debhelper-compat (= 13),
-               default-jdk [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha ia64 m68k powerpc ppc64 sh4 sparc64 x32] <!nojava>,
+               default-jdk:native [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha ia64 m68k powerpc ppc64 sh4 sparc64 x32] <!nojava>,
                docbook-xml,
                help2man,
+               g++-14 [ppc64el],
                libavif-dev (>= 0.10.1),
                libbrotli-dev,
                libgdk-pixbuf-2.0-dev,
@@ -53,7 +55,7 @@
 Section: libdevel
 Depends: libbrotli-dev,
          libhwy-dev,
-         libjxl0.10 (= ${binary:Version}),
+         libjxl0.11 (= ${binary:Version}),
          liblcms-dev,
          ${misc:Depends}
 Multi-Arch: same
@@ -66,7 +68,7 @@
  .
  This package installs development files.
 
-Package: libjxl0.10
+Package: libjxl0.11
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -120,6 +122,7 @@
 
 Package: libjpegxl-java
 Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha ia64 m68k powerpc ppc64 sh4 sparc64 x32
+Build-Profiles: <!nojava>
 Section: java
 Depends: ${java:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Suggests: java-virtual-machine
