=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,7 @@
 
 include /usr/share/dpkg/default.mk
 
-GCC_13_ARCHS=riscv64 s390x
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(GCC_13_ARCHS)))
-  export CC=gcc-13
-  export CXX=g++-13
-endif
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # keep same order as https://buildd.debian.org/status/package.php?p=google-perftools&suite=sid
 # purposely remove i386 for Ubuntu compat
@@ -62,6 +57,13 @@
   BUILD_TESTING=OFF
 endif
 
+# ppc64el build is broken with GCC-15 (LP: #2121375)
+# work-around this issue by pinning ppc64el build to GCC-14
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),ppc64el))
+  export CC = /usr/bin/gcc-14
+  export CXX = /usr/bin/g++-14
+endif
+
 %:
 	dh $@ --buildsystem=cmake+ninja
 
@@ -103,10 +105,6 @@
 
 override_dh_auto_test-indep:
 
-override_dh_auto_test-arch:
-	# armel requires 7h to run complete testsuite:
-	timeout 10h dh_auto_test --
-
 override_dh_installman-arch: tools_manpages devtools_manpages
 	dh_installman
 
@@ -116,7 +114,7 @@
 	dh_clean tools/conformance/__pycache__/lcms2.cpython-*.pyc
 
 debian/control: debian/control.in
-	sed -e "s/@TCMALLOC_ARCHS@/$(TCMALLOC_ARCHS)/g;s/@JAVA_ARCHS@/$(JAVA_ARCHS)/g;" $< > $@
+	sed -e "s/@GCC_13_ARCHS@/$(GCC_13_ARCHS)/g;s/@TCMALLOC_ARCHS@/$(TCMALLOC_ARCHS)/g;s/@JAVA_ARCHS@/$(JAVA_ARCHS)/g;" $< > $@
 
 FILE=debian/libjxl-devtools.install
 DEVTOOLS=`cat $(FILE) | sed  's@usr/bin@debian@' | sed 's/$$/.1/' | tr '\n' ' '`
@@ -131,7 +129,7 @@
 tools_manpages: debian/jxlinfo.1
 	echo "all tools manpages generated"
 
-devtools_manpages: debian/butteraugli_main.1 debian/decode_and_encode.1 debian/display_to_hlg.1 debian/djxl_fuzzer_corpus.1 debian/generate_lut_template.1 debian/jxl_from_tree.1 debian/pq_to_hlg.1 debian/render_hlg.1 debian/ssimulacra_main.1 debian/texture_to_cube.1 debian/tone_map.1 debian/xyb_range.1 debian/benchmark_xl.1 debian/ssimulacra2.1 debian/local_tone_map.1 debian/exr_to_pq.1
+devtools_manpages: debian/butteraugli_main.1 debian/decode_and_encode.1 debian/display_to_hlg.1 debian/djxl_fuzzer_corpus.1 debian/generate_lut_template.1 debian/jxl_from_tree.1 debian/pq_to_hlg.1 debian/render_hlg.1 debian/ssimulacra_main.1 debian/texture_to_cube.1 debian/tone_map.1 debian/xyb_range.1 debian/benchmark_xl.1 debian/ssimulacra2.1 debian/local_tone_map.1 debian/exr_to_pq.1 debian/icc_simplify.1
 	echo $(DEVTOOLS)
 	echo "all devtools manpages generated"
