=== debian/tests/control ===
Tests: run-unit-test
Depends: @, libjxl-testdata
Restrictions: allow-stderr
